## glite-lb-ws-interface 3.3.1

=== Makefile ===
# Default values
top_srcdir=..
builddir=build
top_builddir=${top_srcdir}/${builddir}
stagedir=.
globalprefix=glite
lbprefix=lb
package=glite-lb-ws-interface
version=0.0.0
PREFIX=/opt/glite
prefix=

-include Makefile.inc
-include ${top_srcdir}/project/version.properties

version=${module.version}

SUFFIXES = .T

VPATH=${top_srcdir}/src
AT3=${stagedir}${prefix}/sbin/glite-lb-at3
XSLTPROC:=xsltproc --nonet
XMLLINT:=xmllint --nonet
TIDY=tidy -i -q --show-warnings no --tidy-mark no --wrap 0
docbookxls:=http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl

STAGETO=share/wsdl/glite-lb

WSDL=LB.wsdl LBTypes.wsdl

all compile: ${WSDL} ${doc} glue2-copy.xsd ws_interface_version.h

check: 
	@echo No unit test required for interface-only module.

stage: compile
	$(MAKE) install PREFIX=${stagedir} DOSTAGE=yes

glue2-copy.xsd:
	wget -O $@ http://schemas.ogf.org/glue/2008/05/spec_2.0_d42_r01 || cp ${top_srcdir}/src/glue2.xsd $@

install:
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${STAGETO}
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix}
	install -m 644 ${top_srcdir}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	( cd ${top_srcdir}/project && install -m 644 ChangeLog package.description package.summary ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version} )
	-test -f LB.html && install -m 644 LB.html ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
# install the generated stuff instead
#	cd ${top_srcdir}/interface && install -m 644 ${WSDL} ${DESTDIR}${PREFIX}${prefix}/${STAGETO}
	install -m 644 ${WSDL} ${DESTDIR}${PREFIX}${prefix}/${STAGETO}
	install -m 644 glue2-copy.xsd ${DESTDIR}${PREFIX}${prefix}/${STAGETO}/glue2.xsd
	install -m 644 ${top_srcdir}/src/lb4agu.wsdl ${DESTDIR}${PREFIX}${prefix}/${STAGETO}
	install -m 644 ws_interface_version.h ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix}

# JP has its own version anyway
#	if [ x${DOSTAGE} = xyes ]; then \
#		mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/glite-lb; \
#		install -m 644 ${top_srcdir}/src/puke-wsdl.xsl ${top_srcdir}/src/puke-ug.xsl ${DESTDIR}${PREFIX}${prefix}/share/glite-lb; \
#	fi

clean:
	rm -vf *.h *.html *.xml *.wsdl glue2-copy.xsd

distclean:
	rm -rvf Makefile.inc *.spec debian/

%.xml: %.xml.T
	rm -f $@
	${AT3} $< >$@ || ( rm -f $@; false )
	chmod -w $@ >/dev/null

${WSDL}: %.wsdl: %.xml puke-wsdl.xsl
	${XSLTPROC} ${top_srcdir}/src/puke-wsdl.xsl $< >$@
	-${TIDY} -xml -m $@
# XXX: obsolete:
#	-perl -i -n -e 'if (/^\s*$$/) { $$empty .= "\n"; } elsif (/^\s*<(xsd:)?(enumeration|element|input|output|fault)/) { print $$_; $$empty = "";} else { print "$$empty$$_"; $$empty=""; }; ' $@

LB.html: doc.xml LBTypes.xml LB.xml puke-ug.xsl
	${XSLTPROC} --novalid ${top_srcdir}/src/puke-ug.xsl $< >doc-html.xml
	-${TIDY} -xml -m doc-html.xml
#	${XMLLINT} --valid --noout doc-html.xml
	${XSLTPROC} --stringparam  chapter.autolabel 0 ${docbookxls} doc-html.xml >$@
	-${TIDY} -asxhtml -m $@

ws_interface_version.h: ${top_srcdi${top_srcdir}/project/version.properties
	echo "#define GLITE_LB_WS_INTERFACE_VERSION \"${version}\"" >$@

=== debian/changelog ===
glite-lb-ws-interface (3.3.1-4) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 04 May 2012 14:38:14 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.ws-interface
	touch $@

build: build-indep

build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-ws-interface-3.3.1 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-ws-interface
	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-ws-interface; \
	 rm -fv ChangeLog LICENSE; \
	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep

## glite-lb-ws-interface 3.4.2

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,8 @@
 version=0.0.0
 PREFIX=/opt/glite
 prefix=
+
+default: all
 
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
@@ -23,6 +25,12 @@
 XMLLINT:=xmllint --nonet
 TIDY=tidy -i -q --show-warnings no --tidy-mark no --wrap 0
 docbookxls:=http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl
+
+SOURCES=\
+	examples/*.pl \
+	src/*.xsd src/*.xml src/*.xml.T src/*.wsdl src/*.xsl src/README* \
+	LICENSE Makefile
+SOURCES_EXEC=examples/*.pl
 
 STAGETO=share/wsdl/glite-lb
 
@@ -61,6 +69,7 @@
 
 clean:
 	rm -vf *.h *.html *.xml *.wsdl glue2-copy.xsd
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
@@ -85,3 +94,5 @@
 
 ws_interface_version.h: ${top_srcdi${top_srcdir}/project/version.properties
 	echo "#define GLITE_LB_WS_INTERFACE_VERSION \"${version}\"" >$@
+
+.PHONY: default all compile check stage install clean distclean dist distcheck

=== debian/changelog ===
glite-lb-ws-interface (3.4.2-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:31 +0200

=== debian/control ===
Source: glite-lb-ws-interface
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), glite-lb-types, tidy, xsltproc
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: glite-lb-ws-interface
Section: libs
Architecture: all
Depends: ${misc:Depends}
Description: gLite Logging and Bookkeeping web service interface
 glite-lb-ws-interface contains the LB web service interface specification
 (LB.wsdl and
 LBTypes.wsdl).

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-ws-interface-3.3.1 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-ws-interface
+	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-ws-interface-3.4.2 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-ws-interface
 	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-ws-interface; \
 	 rm -fv ChangeLog LICENSE; \
 	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)

## glite-lb-ws-interface 4.0.4

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 SUFFIXES = .T
 
 VPATH=${top_srcdir}/src
-AT3=${stagedir}${prefix}/sbin/glite-lb-at3
+AT3=${stagedir}${prefix}/bin/glite-lb-at3
 XSLTPROC:=xsltproc --nonet
 XMLLINT:=xmllint --nonet
 TIDY=tidy -i -q --show-warnings no --tidy-mark no --wrap 0
@@ -29,7 +29,7 @@
 SOURCES=\
 	examples/*.pl \
 	src/*.xsd src/*.xml src/*.xml.T src/*.wsdl src/*.xsl src/README* \
-	LICENSE Makefile
+	Makefile
 SOURCES_EXEC=examples/*.pl
 
 STAGETO=share/wsdl/glite-lb
@@ -49,10 +49,8 @@
 
 install:
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${STAGETO}
-	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
+	-test -f LB.html && mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix}
-	install -m 644 ${top_srcdir}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
-	( cd ${top_srcdir}/project && install -m 644 ChangeLog package.description package.summary ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version} )
 	-test -f LB.html && install -m 644 LB.html ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 # install the generated stuff instead
 #	cd ${top_srcdir}/interface && install -m 644 ${WSDL} ${DESTDIR}${PREFIX}${prefix}/${STAGETO}
@@ -72,7 +70,7 @@
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
 %.xml: %.xml.T
 	rm -f $@

=== debian/changelog ===
glite-lb-ws-interface (4.0.4-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Wed, 23 Jan 2013 19:04:56 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # -*- makefile -*-
 
 -include /usr/share/dpkg/buildflags.mk
+
+p_base=glite-lb-ws-interface
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
@@ -27,7 +29,7 @@
 	dh_testroot
 	rm -f configure-stamp build-stamp
 	$(MAKE) clean
-	rm -f Makefile.inc config.status
+	rm -f Makefile.inc config.status *.spec
 	dh_clean
 
 install: build-stamp
@@ -36,15 +38,12 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-ws-interface-3.4.2 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-ws-interface
-	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-ws-interface; \
-	 rm -fv ChangeLog LICENSE; \
-	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)
+	#mv debian/tmp/usr/share/doc/glite-lb-ws-interface-4.0.4 debian/$(p_base)/usr/share/doc/$(p_base)
 
 binary-indep: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
+	dh_installchangelogs project/ChangeLog
 	dh_installdocs
 	dh_installexamples
 	dh_installman

## glite-lb-ws-interface 4.0.6

=== debian/changelog ===
glite-lb-ws-interface (4.0.6-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 24 Jun 2013 10:02:45 +0200

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	#mv debian/tmp/usr/share/doc/glite-lb-ws-interface-4.0.4 debian/$(p_base)/usr/share/doc/$(p_base)
+	#mv debian/tmp/usr/share/doc/glite-lb-ws-interface-4.0.6 debian/$(p_base)/usr/share/doc/$(p_base)
 
 binary-indep: install
 	dh_testdir

## glite-lb-ws-interface 4.0.7

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
+docdir?=${prefix}/share/doc/${package}-${version}
 
 SUFFIXES = .T
 
@@ -49,9 +50,9 @@
 
 install:
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${STAGETO}
-	-test -f LB.html && mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
+	-test -f LB.html && mkdir -p ${DESTDIR}${PREFIX}${docdir}
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix}
-	-test -f LB.html && install -m 644 LB.html ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
+	-test -f LB.html && install -m 644 LB.html ${DESTDIR}${PREFIX}${docdir}
 # install the generated stuff instead
 #	cd ${top_srcdir}/interface && install -m 644 ${WSDL} ${DESTDIR}${PREFIX}${prefix}/${STAGETO}
 	install -m 644 ${WSDL} ${DESTDIR}${PREFIX}${prefix}/${STAGETO}
@@ -66,7 +67,7 @@
 #	fi
 
 clean:
-	rm -vf *.h *.html *.xml *.wsdl glue2-copy.xsd
+	rm -vf *.h *.html *.xml *.wsdl glue2-copy.xsd puke-ug.xsl
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
@@ -84,7 +85,8 @@
 #	-perl -i -n -e 'if (/^\s*$$/) { $$empty .= "\n"; } elsif (/^\s*<(xsd:)?(enumeration|element|input|output|fault)/) { print $$_; $$empty = "";} else { print "$$empty$$_"; $$empty=""; }; ' $@
 
 LB.html: doc.xml LBTypes.xml LB.xml puke-ug.xsl
-	${XSLTPROC} --novalid ${top_srcdir}/src/puke-ug.xsl $< >doc-html.xml
+	cp -p ${top_srcdir}/src/puke-ug.xsl ${top_srcdir}/src/LB.xml .
+	${XSLTPROC} --novalid puke-ug.xsl $< >doc-html.xml
 	-${TIDY} -xml -m doc-html.xml
 #	${XMLLINT} --valid --noout doc-html.xml
 	${XSLTPROC} --stringparam  chapter.autolabel 0 ${docbookxls} doc-html.xml >$@

=== debian/changelog ===
glite-lb-ws-interface (4.0.7-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:46 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,6 @@
 Architecture: all
 Depends: ${misc:Depends}
 Description: gLite Logging and Bookkeeping web service interface
- glite-lb-ws-interface contains the LB web service interface specification
+ glite-lb-ws-interface contains the L&B web service interface specification
  (LB.wsdl and
  LBTypes.wsdl).

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.ws-interface
+	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --docdir=/usr/share/doc/$(p_base) --project=emi --module lb.ws-interface
 	touch $@
 
 build: build-indep
@@ -38,7 +38,7 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	#mv debian/tmp/usr/share/doc/glite-lb-ws-interface-4.0.6 debian/$(p_base)/usr/share/doc/$(p_base)
+	#mv debian/tmp/usr/share/doc/$(p_base) debian/$(p_base)/usr/share/doc/$(p_base)
 
 binary-indep: install
 	dh_testdir

## glite-lb-ws-interface 4.0.9

=== debian/changelog ===
glite-lb-ws-interface (4.0.9-1.git20151003) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:49 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,8 @@
 Standards-Version: 3.9.1
 Section: libs
 Homepage: http://glite.cern.ch
-DM-Upload-Allowed: yes
-Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
-Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi
 
 Package: glite-lb-ws-interface
-Section: libs
 Architecture: all
 Depends: ${misc:Depends}
 Description: gLite Logging and Bookkeeping web service interface

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

p_base=glite-lb-ws-interface

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --docdir=/usr/share/doc/$(p_base) --os-type=debian --project=emi

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -vf Makefile.inc config.status *.spec

#override_dh_install:
#	mkdir -p debian/$(p_doc)/usr/share/doc
#	mv debian/tmp/usr/share/doc/$(p_base) debian/$(p_doc)/usr/share/doc
#	dh_install

=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lb.ws-interface/glite-lb-ws-interface-(.*)\.tar\.gz
